Index: c/src/lib/libbsp/bfin/TLL6527M/include/bsp.h
===================================================================
--- c/src/lib/libbsp/bfin/TLL6527M/include/bsp.h	(revision c28f5033e57df63b2569a5fb0d75925529e6fdce)
+++ c/src/lib/libbsp/bfin/TLL6527M/include/bsp.h	(revision ed6365aa08fed6dc44d2d1e3876e77bcac44a400)
@@ -1,13 +1,11 @@
 /**
- * @file
+ * @file bsp.h
  * @ingroup bfin_tll6527m
  * @brief Global BSP definitions.
+ *
+ * This include file contains all board IO definitions for TLL6527M.
  */
 
-/**
- *@file bsp.h
- *  
- *  This include file contains all board IO definitions for TLL6527M.
- *
+/*
  * COPYRIGHT (c) 2010 by ECE Northeastern University.
  *
@@ -16,9 +14,9 @@
  * http://www.rtems.org/license
  */
- 
 
 #ifndef _BSP_H
 #define _BSP_H
 
+#ifndef ASM
 
 #ifdef __cplusplus
@@ -96,9 +94,30 @@
 /** @} */
 
-rtems_isr_entry set_vector(                     ///< @brief returns old vector */
-  rtems_isr_entry     handler,                  ///< @brief isr routine        */
-  rtems_vector_number vector,                   ///< @brief vector number      */
-  int                 type                      ///< @brief RTEMS or RAW intr  */
+/**
+ * @brief Install an interrupt handler
+ *
+ * This method installs an interrupt handle.
+ *
+ * @param[in] handler is the isr routine
+ * @param[in] vector is the vector number
+ * @param[in] type indicates whether RTEMS or RAW intr
+ *
+ * @return returns old vector
+ */
+rtems_isr_entry set_vector(
+  rtems_isr_entry     handler,
+  rtems_vector_number vector,
+  int                 type
 );
+
+/*
+ *  Internal BSP methods that are used across file boundaries
+ */
+void Init_RTC(void);
+
+/*
+ * Prototype for methods in .S files that are referenced from C.
+ */
+void bfin_null_isr(void);
 
 /** @} */
@@ -108,3 +127,5 @@
 #endif
 
+#endif /* !ASM */
+
 #endif
Index: c/src/lib/libbsp/bfin/TLL6527M/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/bfin/TLL6527M/startup/bspstart.c	(revision c28f5033e57df63b2569a5fb0d75925529e6fdce)
+++ c/src/lib/libbsp/bfin/TLL6527M/startup/bspstart.c	(revision ed6365aa08fed6dc44d2d1e3876e77bcac44a400)
@@ -1,5 +1,5 @@
 /*  bspstart.c for TLL6527M
  *
- *  This routine does the bulk of the system initialisation.
+ *  This routine does the bulk of the system initialization.
  */
 
@@ -11,5 +11,4 @@
  * http://www.rtems.org/license
  */
-
 
 #include <bsp.h>
@@ -62,60 +61,10 @@
 };
 
-void Init_PLL (void);
-void Init_EBIU (void);
-void Init_Flags(void);
-void Init_RTC (void);
-void initCPLB(void);
-
-
-void null_isr(void);
-
 /*
- *  Function:   bsp_pretasking_hook
- *  Created:    95/03/10
+ * Init_PLL
  *
- *  Description:
- *      BSP pretasking hook.  Called just before drivers are initialized.
- *      Used to setup libc and install any BSP extensions.
- *
- *  NOTES:
- *      Must not use libc (to do io) from here, since drivers are
- *      not yet initialized.
- *
+ * Routine to initialize the PLL. The TLL6527M uses a 25 Mhz XTAL.
  */
-
-void bsp_pretasking_hook(void)
-{
-  bfin_interrupt_init();
-}
-
-void bsp_start( void )
-{
-  /* BSP Hardware Initialization*/
-  Init_RTC();   /* Blackfin Real Time Clock initialization */  
-  Init_PLL();   /* PLL initialization */
-  Init_EBIU();  /* EBIU initialization */
-  Init_Flags(); /* GPIO initialization */
-
-  /*
-   *  Allocate the memory for the RTEMS Work Space.  This can come from
-   *  a variety of places: hard coded address, malloc'ed from outside
-   *  RTEMS world (e.g. simulator or primitive memory manager), or (as
-   *  typically done by stock BSPs) by subtracting the required amount
-   *  of work space from the last physical address on the CPU board.
-   */
-  int i=0;
-  for (i=5;i<16;i++) {
-    set_vector((rtems_isr_entry)null_isr, i, 1);
-  }
-  
-}
-
- /*
-  * Init_PLL
-  * 
-  * Routine to initialize the PLL. The TLL6527M uses a 25 Mhz XTAL.
-  */
-void Init_PLL (void)
+static void Init_PLL (void)
 {
   unsigned short msel = 0;
@@ -139,11 +88,10 @@
 }
 
- /*
-  * Init_EBIU
-  * 
-  * Configure extern memory
-  */
-
-void Init_EBIU (void)
+/*
+ * Init_EBIU
+ *
+ * Configure extern memory
+ */
+static void Init_EBIU (void)
 {
   /* Check if SDRAM is already enabled */
@@ -161,10 +109,10 @@
 }
 
- /*
-  * Init_Flags
-  * 
-  * Enable LEDs port
-  */
-void Init_Flags(void)
+/*
+ * Init_Flags
+ *
+ * Enable LEDs port
+ */
+static void Init_Flags(void)
 {
   *((uint16_t*)PORTH_FER)    = 0x0;
@@ -174,21 +122,32 @@
 }
 
+/*
+ *  bsp_pretasking_hook
+ */
+void bsp_pretasking_hook(void)
+{
+  bfin_interrupt_init();
+}
 
+void bsp_start( void )
+{
+  int i;
 
-void initCPLB(void) {
+  /* BSP Hardware Initialization*/
+  Init_RTC();   /* Blackfin Real Time Clock initialization */
+  Init_PLL();   /* PLL initialization */
+  Init_EBIU();  /* EBIU initialization */
+  Init_Flags(); /* GPIO initialization */
 
-       int i = 0;
-       unsigned int *addr;
-       unsigned int *data;
-        
-       addr = (unsigned int *)0xffe00100;
-       data = (unsigned int *)0xffe00200;
+  /*
+   *  Allocate the memory for the RTEMS Work Space.  This can come from
+   *  a variety of places: hard coded address, malloc'ed from outside
+   *  RTEMS world (e.g. simulator or primitive memory manager), or (as
+   *  typically done by stock BSPs) by subtracting the required amount
+   *  of work space from the last physical address on the CPU board.
+   */
+  for (i=5;i<16;i++) {
+    set_vector((rtems_isr_entry)bfin_null_isr, i, 1);
+  }
 
-       while ( dcplbs_table[i][0] != 0xffffffff ) {
-               *addr = dcplbs_table[i][0];
-               *data = dcplbs_table[i][1];
-
-               addr++;
-               data++;
-       } 
 }
Index: c/src/lib/libbsp/bfin/bf537Stamp/console/console.c
===================================================================
--- c/src/lib/libbsp/bfin/bf537Stamp/console/console.c	(revision c28f5033e57df63b2569a5fb0d75925529e6fdce)
+++ c/src/lib/libbsp/bfin/bf537Stamp/console/console.c	(revision ed6365aa08fed6dc44d2d1e3876e77bcac44a400)
@@ -1,4 +1,6 @@
 /*  Console driver for bf537Stamp
- *
+ */
+
+/*
  *  Copyright (c) 2008 Kallisti Labs, Los Gatos, CA, USA
  *             written by Allan Hessenflow <allanh@kallisti.com>
Index: c/src/lib/libbsp/bfin/bf537Stamp/include/bsp.h
===================================================================
--- c/src/lib/libbsp/bfin/bf537Stamp/include/bsp.h	(revision c28f5033e57df63b2569a5fb0d75925529e6fdce)
+++ c/src/lib/libbsp/bfin/bf537Stamp/include/bsp.h	(revision ed6365aa08fed6dc44d2d1e3876e77bcac44a400)
@@ -15,4 +15,6 @@
 #ifndef _BSP_H
 #define _BSP_H
+
+#ifndef ASM
 
 #ifdef __cplusplus
@@ -90,5 +92,7 @@
  * Helper Function to use the EzKits LEDS
  */
-uint8_t getLED(void);
+uint8_t getLEDs(void);
+void setLEDs(uint8_t value);
+uint8_t getButtons(void);
 
 rtems_isr_entry set_vector(                     /* returns old vector */
@@ -97,4 +101,9 @@
   int                 type                      /* RTEMS or RAW intr  */
 );
+
+/*
+ *  Internal BSP methods that are used across file boundaries
+ */
+void Init_RTC(void);
 
 /*
@@ -111,3 +120,5 @@
 #endif
 
+#endif /* !ASM */
+
 #endif
Index: c/src/lib/libbsp/bfin/bf537Stamp/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/bfin/bf537Stamp/startup/bspstart.c	(revision c28f5033e57df63b2569a5fb0d75925529e6fdce)
+++ c/src/lib/libbsp/bfin/bf537Stamp/startup/bspstart.c	(revision ed6365aa08fed6dc44d2d1e3876e77bcac44a400)
@@ -66,6 +66,4 @@
 };
 
-void Init_RTC(void);
-
 static void initPLL(void);
 static void initEBIU(void);
Index: c/src/lib/libbsp/bfin/eZKit533/include/bsp.h
===================================================================
--- c/src/lib/libbsp/bfin/eZKit533/include/bsp.h	(revision c28f5033e57df63b2569a5fb0d75925529e6fdce)
+++ c/src/lib/libbsp/bfin/eZKit533/include/bsp.h	(revision ed6365aa08fed6dc44d2d1e3876e77bcac44a400)
@@ -21,4 +21,6 @@
 #ifndef _BSP_H
 #define _BSP_H
+
+#ifndef ASM
 
 #include <libcpu/bf533.h>
@@ -127,9 +129,30 @@
 uint8_t getLED (void);
 
-rtems_isr_entry set_vector(                     ///< @brief returns old vector */
-  rtems_isr_entry     handler,                  ///< @brief isr routine        */
-  rtems_vector_number vector,                   ///< @brief vector number      */
-  int                 type                      ///< @brief RTEMS or RAW intr  */
+/**
+ * @brief Install an interrupt handler
+ *
+ * This method installs an interrupt handle.
+ *
+ * @param[in] handler is the isr routine
+ * @param[in] vector is the vector number
+ * @param[in] type indicates whether RTEMS or RAW intr
+ *
+ * @return returns old vector
+ */
+rtems_isr_entry set_vector(
+  rtems_isr_entry     handler,
+  rtems_vector_number vector,
+  int                 type
 );
+
+/*
+ *  Internal BSP methods that are used across file boundaries
+ */
+void Init_RTC(void);
+
+/*
+ * Prototype for methods in .S files that are referenced from C.
+ */
+void bfin_null_isr(void);
 
 /** @} */
@@ -141,3 +164,5 @@
 #endif
 
+#endif /* !ASM */
+
 #endif
Index: c/src/lib/libbsp/bfin/eZKit533/startup/bspstart.c
===================================================================
--- c/src/lib/libbsp/bfin/eZKit533/startup/bspstart.c	(revision c28f5033e57df63b2569a5fb0d75925529e6fdce)
+++ c/src/lib/libbsp/bfin/eZKit533/startup/bspstart.c	(revision ed6365aa08fed6dc44d2d1e3876e77bcac44a400)
@@ -60,39 +60,4 @@
 
 /*
- *  Use the shared implementations of the following routines
- */
-
-void Init_PLL (void);
-void Init_EBIU (void);
-void Init_Flags(void);
-void Init_RTC (void);
-
-void null_isr(void);
-
-/*
- *      BSP pretasking hook.  Called just before drivers are initialized.
- *      Used to setup libc and install any BSP extensions.
- */
-
-void bsp_pretasking_hook(void)
-{
-  bfin_interrupt_init();
-}
-
-void bsp_start( void )
-{
-  /* BSP Hardware Initialization*/
-  Init_RTC();   /* Blackfin Real Time Clock initialization */
-  Init_PLL();   /* PLL initialization */
-  Init_EBIU();  /* EBIU initialization */
-  Init_Flags(); /* GPIO initialization */
-
-  int i=0;
-  for (i=5;i<16;i++) {
-    set_vector((rtems_isr_entry)null_isr, i, 1);
-  }
-}
-
-/*
  * Init_PLL
  *
@@ -100,5 +65,5 @@
  * See "../eZKit533/include/bsp.h" for more information.
  */
-void Init_PLL (void)
+static void Init_PLL (void)
 {
   unsigned int n;
@@ -118,11 +83,10 @@
 }
 
- /*
-  * Init_EBIU
-  *
-  * Configure extern memory
-  */
-
-void Init_EBIU (void)
+/*
+ * Init_EBIU
+ *
+ * Configure extern memory
+ */
+static void Init_EBIU (void)
 {
   /* Configure FLASH */
@@ -143,5 +107,5 @@
  * Enable LEDs port
  */
-void Init_Flags(void)
+static void Init_Flags(void)
 {
   *((uint16_t*)FIO_INEN)    = 0x0100;
@@ -152,4 +116,27 @@
   *((uint8_t*)FlashA_PortB_Dir)  = 0x3f;
   *((uint8_t*)FlashA_PortB_Data) = 0x00;
+}
+
+/*
+ * BSP pretasking hook.  Called just before drivers are initialized.
+ * Used to setup libc and install any BSP extensions.
+ */
+void bsp_pretasking_hook(void)
+{
+  bfin_interrupt_init();
+}
+
+void bsp_start( void )
+{
+  /* BSP Hardware Initialization*/
+  Init_RTC();   /* Blackfin Real Time Clock initialization */
+  Init_PLL();   /* PLL initialization */
+  Init_EBIU();  /* EBIU initialization */
+  Init_Flags(); /* GPIO initialization */
+
+  int i=0;
+  for (i=5;i<16;i++) {
+    set_vector((rtems_isr_entry)bfin_null_isr, i, 1);
+  }
 }
 
@@ -170,19 +157,2 @@
   return *((uint8_t*)FlashA_PortB_Data);
 }
-
-void initCPLB(void)
-{
-  int i = 0;
-  unsigned int *addr;
-  unsigned int *data;
-
-  addr = (unsigned int *)0xffe00100;
-  data = (unsigned int *)0xffe00200;
-
-  while ( dcplbs_table[i][0] != 0xffffffff ) {
-    *addr = dcplbs_table[i][0];
-    *data = dcplbs_table[i][1];
-    addr++;
-    data++;
-  }
-}
Index: c/src/lib/libbsp/bfin/shared/start/start.S
===================================================================
--- c/src/lib/libbsp/bfin/shared/start/start.S	(revision c28f5033e57df63b2569a5fb0d75925529e6fdce)
+++ c/src/lib/libbsp/bfin/shared/start/start.S	(revision ed6365aa08fed6dc44d2d1e3876e77bcac44a400)
@@ -2,4 +2,5 @@
 #include <rtems/bfin/bfin.h>
 
+#include <bsp.h>
 #include <bspopts.h>
 
@@ -89,6 +90,6 @@
     jump    (p0)        /* Should not return.  */
 
-.global _null_isr
-_null_isr:
+.global _bfin_null_isr
+_bfin_null_isr:
     rti;
 
Index: c/src/lib/libcpu/bfin/clock/clock.c
===================================================================
--- c/src/lib/libcpu/bfin/clock/clock.c	(revision c28f5033e57df63b2569a5fb0d75925529e6fdce)
+++ c/src/lib/libcpu/bfin/clock/clock.c	(revision ed6365aa08fed6dc44d2d1e3876e77bcac44a400)
@@ -38,5 +38,5 @@
     _Thread_Heir == _Thread_Executing
       && _Thread_Executing->Start.entry_point
-        == rtems_configuration_get_idle_task()
+        == (Thread_Entry) rtems_configuration_get_idle_task()
   );
 #else
Index: c/src/lib/libcpu/bfin/clock/rtc.c
===================================================================
--- c/src/lib/libcpu/bfin/clock/rtc.c	(revision c28f5033e57df63b2569a5fb0d75925529e6fdce)
+++ c/src/lib/libcpu/bfin/clock/rtc.c	(revision ed6365aa08fed6dc44d2d1e3876e77bcac44a400)
@@ -1,3 +1,4 @@
-/*  Real Time Clock Driver for Blackfin
+/*
+ * Real Time Clock Driver for Blackfin
  */
 
Index: c/src/lib/libcpu/bfin/serial/uart.c
===================================================================
--- c/src/lib/libcpu/bfin/serial/uart.c	(revision c28f5033e57df63b2569a5fb0d75925529e6fdce)
+++ c/src/lib/libcpu/bfin/serial/uart.c	(revision ed6365aa08fed6dc44d2d1e3876e77bcac44a400)
@@ -1,4 +1,6 @@
 /*  UART driver for Blackfin
- *
+ */
+
+/*
  *  Copyright (c) 2008 Kallisti Labs, Los Gatos, CA, USA
  *             written by Allan Hessenflow <allanh@kallisti.com>
@@ -9,5 +11,4 @@
  */
  
-
 #include <rtems.h>
 #include <rtems/libio.h>
@@ -23,9 +24,8 @@
 #define BFIN_UART_XMIT_BUSY 0x01
 
-
 static bfin_uart_config_t *uartsConfig;
 
-
-static int pollRead(int minor) {
+static int pollRead(int minor)
+{
   int c;
   uint32_t base;
@@ -45,5 +45,6 @@
 }
 
-char bfin_uart_poll_read(rtems_device_minor_number minor) {
+char bfin_uart_poll_read(rtems_device_minor_number minor)
+{
   int c;
 
@@ -55,5 +56,6 @@
 }
 
-void bfin_uart_poll_write(int minor, char c) {
+void bfin_uart_poll_write(int minor, char c)
+{
   uint32_t base;
 
@@ -65,52 +67,4 @@
 }
 
-/* begin BISON */
-void debug_write_char(char c) {
-  bfin_uart_poll_write(0, c);
-}
-
-void debug_write_string(char *s) {
-
-  while (s && *s) {
-    if (*s == '\n')
-      debug_write_char('\r');
-    debug_write_char(*s++);
-  }
-}
-
-void debug_write_crlf(void) {
-
-  debug_write_char('\r');
-  debug_write_char('\n');
-}
-
-void debug_write_nybble(int nybble) {
-
-  nybble &= 0x0f;
-  debug_write_char((nybble > 9) ? 'a' + (nybble - 10) : '0' + nybble);
-}
-
-void debug_write_byte(int byte) {
-
-  byte &= 0xff;
-  debug_write_nybble(byte >> 4);
-  debug_write_nybble(byte & 0x0f);
-}
-
-void debug_write_half(int half) {
-
-  half &= 0xffff;
-  debug_write_byte(half >> 8);
-  debug_write_byte(half & 0xff);
-}
-
-void debug_write_word(int word) {
-
-  word &= 0xffffffff;
-  debug_write_half(word >> 16);
-  debug_write_half(word & 0xffff);
-}
-/* end BISON */
-
 /*
  *  Console Termios Support Entry Points
@@ -118,6 +72,6 @@
  */
 
-static ssize_t pollWrite(int minor, const char *buf, size_t len) {
-
+static ssize_t pollWrite(int minor, const char *buf, size_t len)
+{
   size_t count;
   for ( count = 0; count < len; count++ )
@@ -127,5 +81,4 @@
 }
 
-
 /**
  * Routine to initialize the hardware. It initialize the DMA,
@@ -133,5 +86,6 @@
  * @param channel channel information
  */
-static void initializeHardware(bfin_uart_channel_t *channel) {
+static void initializeHardware(bfin_uart_channel_t *channel)
+{
   uint16_t divisor        = 0;
   uint32_t base           = 0;
@@ -189,6 +143,4 @@
     */
   }
-
-  return;
 }
 
@@ -200,5 +152,6 @@
  * @return
  */
-static int setAttributes(int minor, const struct termios *termios) {
+static int setAttributes(int minor, const struct termios *termios)
+{
   uint32_t base;
   int baud;
@@ -208,94 +161,44 @@
   base = uartsConfig->channels[minor].uart_baseAddress;
   switch (termios->c_cflag & CBAUD) {
-  case B0:
-    baud = 0;
-    break;
-  case B50:
-    baud = 50;
-    break;
-  case B75:
-    baud = 75;
-    break;
-  case B110:
-    baud = 110;
-    break;
-  case B134:
-    baud = 134;
-    break;
-  case B150:
-    baud = 150;
-    break;
-  case B200:
-    baud = 200;
-    break;
-  case B300:
-    baud = 300;
-    break;
-  case B600:
-    baud = 600;
-    break;
-  case B1200:
-    baud = 1200;
-    break;
-  case B1800:
-    baud = 1800;
-    break;
-  case B2400:
-    baud = 2400;
-    break;
-  case B4800:
-    baud = 4800;
-    break;
-  case B9600:
-    baud = 9600;
-    break;
-  case B19200:
-    baud = 19200;
-    break;
-  case B38400:
-    baud = 38400;
-    break;
-  case B57600:
-    baud = 57600;
-    break;
-  case B115200:
-    baud = 115200;
-    break;
-  case B230400:
-    baud = 230400;
-    break;
-  case B460800:
-    baud = 460800;
-    break;
-  default:
-    baud = -1;
-    break;
+    case B0:      baud = 0;      break;
+    case B50:     baud = 50;     break;
+    case B75:     baud = 75;     break;
+    case B110:    baud = 110;    break;
+    case B134:    baud = 134;    break;
+    case B150:    baud = 150;    break;
+    case B200:    baud = 200;    break;
+    case B300:    baud = 300;    break;
+    case B600:    baud = 600;    break;
+    case B1200:   baud = 1200;   break;
+    case B1800:   baud = 1800;   break;
+    case B2400:   baud = 2400;   break;
+    case B4800:   baud = 4800;   break;
+    case B9600:   baud = 9600;   break;
+    case B19200:  baud = 19200;  break;
+    case B38400:  baud = 38400;  break;
+    case B57600:  baud = 57600;  break;
+    case B115200: baud = 115200; break;
+    case B230400: baud = 230400; break;
+    case B460800: baud = 460800; break;
+    default: baud = -1; break;
   }
   if (baud > 0 && uartsConfig->channels[minor].uart_baud)
     baud = uartsConfig->channels[minor].uart_baud;
   switch (termios->c_cflag & CSIZE) {
-  case CS5:
-    lcr = UART_LCR_WLS_5;
-    break;
-  case CS6:
-    lcr = UART_LCR_WLS_6;
-    break;
-  case CS7:
-    lcr = UART_LCR_WLS_7;
-    break;
-  case CS8:
+  case CS5: lcr = UART_LCR_WLS_5; break;
+  case CS6: lcr = UART_LCR_WLS_6; break;
+  case CS7: lcr = UART_LCR_WLS_7; break;
   default:
-    lcr = UART_LCR_WLS_8;
-    break;
+  case CS8: lcr = UART_LCR_WLS_8; break;
   }
   switch (termios->c_cflag & (PARENB | PARODD)) {
-  case PARENB:
-    lcr |= UART_LCR_PEN | UART_LCR_EPS;
-    break;
-  case PARENB | PARODD:
-  lcr |= UART_LCR_PEN;
-  break;
-  default:
-    break;
+    case PARENB:
+      lcr |= UART_LCR_PEN | UART_LCR_EPS;
+      break;
+    case PARENB | PARODD:
+      lcr |= UART_LCR_PEN;
+      break;
+    default:
+      break;
   }
   if (termios->c_cflag & CSTOPB)
@@ -321,5 +224,6 @@
  * @return
  */
-static ssize_t uart_interruptWrite(int minor, const char *buf, size_t len) {
+static ssize_t uart_interruptWrite(int minor, const char *buf, size_t len)
+{
   uint32_t              base      = 0;
   bfin_uart_channel_t*  channel   = NULL;
@@ -352,6 +256,6 @@
 
 /**
-* This function implements RX ISR
-*/
+ * This function implements RX ISR
+ */
 void bfinUart_rxIsr(void *_arg)
 {
@@ -359,7 +263,5 @@
    * TODO: UART RX ISR implementation.
    */
-
-}
-
+}
 
 /**
@@ -371,5 +273,6 @@
  * @param _arg gets the channel information.
  */
-void bfinUart_txIsr(void *_arg) {
+void bfinUart_txIsr(void *_arg)
+{
   bfin_uart_channel_t*  channel = NULL;
   uint32_t              base    = 0;
@@ -391,10 +294,5 @@
 
   rtems_termios_dequeue_characters(channel->termios, channel->length);
-
-  return;
-}
-
-
-
+}
 
 /**
@@ -407,5 +305,6 @@
  * @return data already written
  */
-static ssize_t uart_DmaWrite(int minor, const char *buf, size_t len) {
+static ssize_t uart_DmaWrite(int minor, const char *buf, size_t len)
+{
   uint32_t              base        = 0;
   bfin_uart_channel_t*  channel     = NULL;
@@ -444,5 +343,4 @@
 }
 
-
 /**
  * RX DMA ISR.
@@ -451,5 +349,6 @@
  * @param _arg
  */
-void bfinUart_rxDmaIsr(void *_arg) {
+void bfinUart_rxDmaIsr(void *_arg)
+{
 /**
  * TODO: Implementation of RX DMA
@@ -468,5 +367,6 @@
  * channel argument.
  */
-void bfinUart_txDmaIsr(void *_arg) {
+void bfinUart_txDmaIsr(void *_arg)
+{
   bfin_uart_channel_t*  channel     = NULL;
   uint32_t              tx_dma_base = 0;
@@ -496,6 +396,4 @@
      */
   }
-
-  return;
 }
 
@@ -503,10 +401,9 @@
  * Function called during exit
  */
-void uart_exit(void)
+static void uart_exit(void)
 {
   /**
    * TODO: Flushing of quques
    */
-
 }
 
@@ -572,5 +469,4 @@
   };
 
-
   if ( NULL == uartsConfig || 0 > minor || minor >= uartsConfig->num_channels) {
     return RTEMS_INVALID_NUMBER;
@@ -599,5 +495,4 @@
 }
 
-
 /**
 * Uart initialization function.
@@ -606,6 +501,9 @@
 * @return rtems status code
 */
-rtems_status_code bfin_uart_initialize(rtems_device_major_number major,
-    bfin_uart_config_t *config) {
+rtems_status_code bfin_uart_initialize(
+  rtems_device_major_number major,
+  bfin_uart_config_t *config
+)
+{
   rtems_status_code sc = RTEMS_NOT_DEFINED;
   int               i  = 0;
Index: cpukit/score/cpu/bfin/rtems/bfin/bfin.h
===================================================================
--- cpukit/score/cpu/bfin/rtems/bfin/bfin.h	(revision c28f5033e57df63b2569a5fb0d75925529e6fdce)
+++ cpukit/score/cpu/bfin/rtems/bfin/bfin.h	(revision ed6365aa08fed6dc44d2d1e3876e77bcac44a400)
@@ -7,4 +7,5 @@
  * Processors.
  */
+
 /*
  *  COPYRIGHT (c) 2006 by Atos Automacao Industrial Ltda.
